Subject: RE: [TLS] Suggestion for TLS Developer List

From: "Ron Teitelbaum" <[email-masked]>
Date: Fri, 21 Jul 2006 20:28:22 -0400

Thank you very much for your response; that was indeed the problem!  

Now that I've seen that it works I will be much more careful to validate
that I've done things properly, and assume first that it's me not Internet
Explorer that is the problem.

Thanks again!

Ron

> -----Original Message-----
> From: Yngve N. Pettersen (Developer Opera Software ASA)
> [mailto:[email-masked]]
> Sent: Friday, July 21, 2006 8:14 PM
> To: [email-masked]
> Subject: Re: [TLS] Suggestion for TLS Developer List
> 
> Hello Ron,
> 
> On Sat, 22 Jul 2006 01:43:34 +0200, Ron Teitelbaum <[email-masked]>
> wrote:
> 
> > Hi All,
> >
> > Sorry about the OT spam.  I'm having some trouble with a server hello,
> it
> > looks properly formed but when I send it back to a browser it errors
> out.
> 
> > My ServerHello:
> <converted to hex 16 wide>
> 
> 16 03 01 00 4B 02 00 00 47 03 01>20<01 85 E2 06
> 19 08 34 8B E8 AE E8 D6 B2 3B D4 35 28 B3 29 03
> C6 66 19 78 A9 5C 38 DB A9 1B 36 34 20 6B BF A3
> CD 15 22 52 0F 95 32 F9 C8 B2 79 4E DB 58 2B 87
> 72 DE EE 3C E3 2B 0B 36 A8 A8 3B 35 F1 00 0A 00
> 
> I am afraid that the problem is that you are sending a length field
> (marked with ><) for the random field, but this field is a fixed size 32
> byte structure.
> 
> My guess is that client either stops at the incorrect session id length,
> or at the cipher suite/compression fields which most likely will not match
> its expectations.
> 
> Please see RFC 2246 sec. 4.3, 7.4.1.2 and 7.4.1.3 for more information.
> 
> --
> Sincerely,
> Yngve N. Pettersen
> 
> ********************************************************************
> Senior Developer                     Email: [email-masked]
> Opera Software ASA                   http://www.opera.com/
> Phone:  +47 24 16 42 60              Fax:    +47 24 16 40 01
> ********************************************************************

_______________________________________________
TLS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tls